Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(32)

Issue 2378133003: Switch CFX_SAXReader to use std::stack. (Closed)

Created:
4 years ago by Lei Zhang
Modified:
4 years ago
Reviewers:
Tom Sepez, Wei Li
CC:
pdfium-reviews_googlegroups.com
Target Ref:
refs/heads/master
Project:
pdfium
Visibility:
Public.

Description

Switch CFX_SAXReader to use std::stack. Fix some nullptr errors. BUG=pdfium:608 Committed: https://pdfium.googlesource.com/pdfium/+/aa69291d2c0f86259351a857acc3f9f073b56a55

Patch Set 1 #

Total comments: 6

Patch Set 2 : address comments, switch to unique_ptr #

Total comments: 2

Patch Set 3 : no double frees #

Patch Set 4 : rebase #

Patch Set 5 : rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+87 lines, -74 lines) Patch
M xfa/fde/xml/cfx_saxreader.h View 1 2 3 4 chunks +8 lines, -12 lines 0 comments Download
M xfa/fde/xml/cfx_saxreader.cpp View 1 2 3 4 15 chunks +79 lines, -62 lines 0 comments Download

Messages

Total messages: 28 (20 generated)
Lei Zhang
Implementing one's own stack is hard.
4 years ago (2016-09-29 03:10:20 UTC) #6
Tom Sepez
https://codereview.chromium.org/2378133003/diff/1/xfa/fde/xml/cfx_saxreader.cpp File xfa/fde/xml/cfx_saxreader.cpp (right): https://codereview.chromium.org/2378133003/diff/1/xfa/fde/xml/cfx_saxreader.cpp#newcode146 xfa/fde/xml/cfx_saxreader.cpp:146: while (CFX_SAXItem* pItem = GetCurrentItem()) { can we push ...
4 years ago (2016-09-29 16:59:14 UTC) #7
Lei Zhang
https://codereview.chromium.org/2378133003/diff/1/xfa/fde/xml/cfx_saxreader.cpp File xfa/fde/xml/cfx_saxreader.cpp (right): https://codereview.chromium.org/2378133003/diff/1/xfa/fde/xml/cfx_saxreader.cpp#newcode146 xfa/fde/xml/cfx_saxreader.cpp:146: while (CFX_SAXItem* pItem = GetCurrentItem()) { On 2016/09/29 16:59:13, ...
4 years ago (2016-09-29 18:52:20 UTC) #8
Tom Sepez
https://codereview.chromium.org/2378133003/diff/20001/xfa/fde/xml/cfx_saxreader.cpp File xfa/fde/xml/cfx_saxreader.cpp (right): https://codereview.chromium.org/2378133003/diff/20001/xfa/fde/xml/cfx_saxreader.cpp#newcode173 xfa/fde/xml/cfx_saxreader.cpp:173: delete pItem; How does this play with unique_ptr & ...
4 years ago (2016-09-29 20:25:37 UTC) #13
Lei Zhang
https://codereview.chromium.org/2378133003/diff/20001/xfa/fde/xml/cfx_saxreader.cpp File xfa/fde/xml/cfx_saxreader.cpp (right): https://codereview.chromium.org/2378133003/diff/20001/xfa/fde/xml/cfx_saxreader.cpp#newcode173 xfa/fde/xml/cfx_saxreader.cpp:173: delete pItem; On 2016/09/29 20:25:37, Tom Sepez wrote: > ...
4 years ago (2016-09-29 20:29:58 UTC) #14
Tom Sepez
lgtm
4 years ago (2016-09-30 20:24:39 UTC) #23
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2378133003/80001
4 years ago (2016-09-30 22:37:50 UTC) #26
commit-bot: I haz the power
4 years ago (2016-09-30 22:49:27 UTC) #28
Message was sent while issue was closed.
Committed patchset #5 (id:80001) as
https://pdfium.googlesource.com/pdfium/+/aa69291d2c0f86259351a857acc3f9f073b5...

Powered by Google App Engine
This is Rietveld 408576698